Titanium.include('core/json.js','core/base_xhr_web_service.js', 'core/base_filesystem_xml.js');

// this sets the background color of the master

//Titanium.include('local_include.js');

// UIView (when there are no windows/tab groups on it)
//Titanium.UI.setBackgroundColor('#fff');
//Titanium.UI.setBackgroundImage('images/custom/IVUloto_background_load.png');

// create tab group
var tabGroup;

 
var win = Titanium.UI.createWindow({
    title:'Sign In',
    //titleImage:'images/custom/IVUloto_logo.png',
    tabBarHidden:true,
    navBarHidden:true
});

Ti.App.addEventListener('loginEntrance', function(event)   
{ 

	win.backgroundImage='images/custom/IVUloto_background_screen.png';

	var data = [];
	
	var headerView = Ti.UI.createView({
		height:'auto'
	});
	
	var img = Ti.UI.createImageView({
    	image:'images/custom/IVUloto_logo.png',
    	width:'auto',
    	height:'auto',   
    	top:22
	});

	headerView.add(img);


	var section = Ti.UI.createTableViewSection();
	data.push(section);

	var android = Ti.Platform.name == 'android';

	// ROW 0
	var row0 = Ti.UI.createTableViewRow();
	row0.backgroundColor = 'transparent';
	row0.selectedBackgroundColor = '#670000';
	row0.height = 5;
	section.add(row0);


	// ROW 1
	var row1 = Ti.UI.createTableViewRow();
	row1.backgroundColor = 'transparent';
	row1.selectedBackgroundColor = '#670000';
	row1.height = 50;
	row1.hasCheck = false;
	row1.addEventListener('click', function(e) {
		//Ti.API.log(e.source+" click at ("+e.x+","+e.y+")");
	});

	var username = Ti.UI.createTextField({
		autocapitalization:Titanium.UI.TEXT_AUTOCAPITALIZATION_NONE,
		width:300,
		top:android ? 3 : 10,
		height: android ? 45 : 35,
		font:{fontFamily:'Arial',fontWeight:'normal',fontSize:18},
		autocorrect:false,
		borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED,
		hintText:'Código de usuario',
		keyboardType:Titanium.UI.KEYBOARD_DEFAULT,
		returnKeyType: Titanium.UI.RETURNKEY_ROUTE	
		//returnKeyType:Titanium.UI.RETURNKEY_DEFAULT
	});
	row1.add(username);

	section.add(row1);


	// ROW 2
	var row2 = Ti.UI.createTableViewRow();
	row2.backgroundColor = 'transparent';
	row2.selectedBackgroundColor = '#670000';
	row2.height = 40;
	row2.addEventListener('click', function(e) {
		//Ti.API.log(e.source+" click at ("+e.x+","+e.y+")");
	});

	var password = Ti.UI.createTextField({
		autocapitalization:Titanium.UI.TEXT_AUTOCAPITALIZATION_NONE,
		width:300,
		top:android ? 3 : 10,
		height:android ? 45 : 35,
		font:{fontFamily:'Arial',fontWeight:'normal',fontSize:18},
		borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED,
		passwordMask:true,
		hintText:'Contraseña',
		keyboardType:Titanium.UI.KEYBOARD_DEFAULT,   
		returnKeyType:Titanium.UI.RETURNKEY_DEFAULT
	});
	row2.add(password);
	section.add(row2);


	// ROW 2P
	var row2P = Ti.UI.createTableViewRow();
	row2P.backgroundColor = 'transparent';
	row2P.selectedBackgroundColor = '#670000';
	row2P.height = 45;
	row2P.addEventListener('click', function(e) {
		//Ti.API.log(e.source+" click at ("+e.x+","+e.y+")");
	});

	//
	// CHECKBOX
	//
	var checkBox = Titanium.UI.createSwitch({
		style:Titanium.UI.Android.SWITCH_STYLE_CHECKBOX,
		title:"Guardar información de sesión",
		color:'#222',
		value:false,
		top:android ? 3 : 10,
		left: (Titanium.Platform.displayCaps.platformHeight > 576) ? '31%' : '1%'
	});
	checkBox.addEventListener('change', function(e) {
		//checkBox.title = "CheckBox: " + e.value;
		Ti.API.info("Bool in checkbox: " + e.value);
	
		if(e.value) session = 'true';
		else session = 'false';
	
	
		win.removeEventListener('focus', function()
		{
			Ti.API.info('REMOVE FOCUS in window session: ' + Titanium.App.Properties.getString('Bool'));
		});
	
		//Titanium.App.Properties.setBool('Bool',e.value);
	});


	row2P.add(checkBox);
	section.add(row2P);




	// ROW 3
	var row3 = Ti.UI.createTableViewRow();
	row3.backgroundColor = 'transparent';
	row3.selectedBackgroundColor = '#670000';
	row3.height = 55;
	row3.addEventListener('click', function(e) {
		//Ti.API.log(e.source+" click at ("+e.x+","+e.y+")");
	});

	var signin_button = Titanium.UI.createButton({
		font:{fontSize:20,fontWeight:'bold',fontFamily:'Helvetica Neue'},
		title:'Iniciar Sesión',
		backgroundImage:'images/BUTT_gry_off.png',
		backgroundSelectedImage:'images/BUTT_gry_on.png',
		backgroundDisabledImage: 'images/BUTT_drk_off.png',
		top: android ? 3: 10,
		width:300,
		height: android ? 45 : 40
	});
	row3.add(signin_button);
	section.add(row3);


	// ROW 4
	var row4 = Ti.UI.createTableViewRow();
	row4.backgroundColor = 'transparent';
	row4.selectedBackgroundColor = '#670000';
	if(Titanium.Platform.displayCaps.density == 'high') row4.height = '55dp';
	else row4.height = '38dp';
	
	row4.addEventListener('click', function(e) {
		//Ti.API.log(e.source+" click at ("+e.x+","+e.y+")");
	});
	section.add(row4);


	// ROW 5
	var row5 = Ti.UI.createTableViewRow();
	row5.backgroundColor = 'transparent';
	row5.selectedBackgroundColor = '#670000';
	row5.height = 40;
	row5.addEventListener('click', function(e) {
		//Ti.API.log(e.source+" click at ("+e.x+","+e.y+")");
	});
	
	var register_button = Titanium.UI.createButton({
		borderRadius:1,
		borderWidth:5,   
		font:{fontFamily:'Arial',fontWeight:'bold',fontSize:14},
		//title:'Sign Up for Ivu Loto',
		//color:'#13386c',
		image:'images/custom/IVUloto_button_signup.png',
		top: android ? 3: 10,	 
		width:200,
		height:40
	});
	row5.add(register_button);
	section.add(row5);


	// ROW 6
	var row6 = Ti.UI.createTableViewRow();
	row6.backgroundColor = 'transparent';
	row6.selectedBackgroundColor = '#670000';
	row6.height = 40;
	row6.addEventListener('click', function(e) {
		//Ti.API.log(e.source+" click at ("+e.x+","+e.y+")");
	});
	
	var label_forgotpsswd = Titanium.UI.createLabel({
		text:'¿Olvidó su Contraseña?',
		height:40,
		width:'auto',
		shadowColor:'#aaa',
		shadowOffset:{x:5,y:5},
		color:'#3f3d3d',
		//backgroundColor : '#222',
		font:{fontSize:15, fontStyle:'italic', fontFamily: 'sans-serif', fontWeight: 'bold'},
		top: android ? 3: 10,
		//left:10,
		//textAlign:'left'
	});

	row6.add(label_forgotpsswd);
	section.add(row6);
	
	
	
	var tableview = Titanium.UI.createTableView({
		data:data,
		style:Titanium.UI.iPhone.TableViewStyle.GROUPED,
		backgroundColor:'transparent',
		separatorColor:'transparent',
		headerView:headerView
	});

	win.add(tableview);

	win.open();


	signin_button.addEventListener('click', function()
	{
			
		password.blur();	
		
		if (username.value != '' && password.value != '')   
		{    
	        navActInd.show();	
			
	        paramsLogin.username = username.value; 
			//paramsLogin.password = Ti.Utils.md5HexDigest(password.value);   
			//Ti.API.info("sending base64 encode " + password.value + " => " + Ti.Utils.base64encode(password.value).toString());
			paramsLogin.password = Ti.Utils.base64encode(password.value).toString();
			//paramsLogin.password = password.value;          
		        
	        Ti.API.info("sending values...."); 
			
			//to use a webservice use this
			gReader.connect(paramsLogin, '/mobilewebservice/login', "login");			
	    
	    }else  
	    {   
	         var alertDialog = Titanium.UI.createAlertDialog({
	              title: 'WARNING!',
	              message: 'Username/Password son requeridos',
	              buttonNames: ['OK']
	         });
	         alertDialog.show(); 
	    }  
	    
	});


	register_button.addEventListener('click', function()
	{
		password.blur();
		Ti.API.info("You clicked register");
		var winR = Titanium.UI.createWindow({
	    	url: 'main_windows/table_register_user_view.js',	    	
	    	titleImage:'images/custom/IVUloto_logo.png',
	    	tabBarHidden:true,
	    	navBarHidden:true
		});
		
		winR.open({ animated : true});	
	
	});


	label_forgotpsswd.addEventListener('click', function(event)
	{
		password.blur();
		Ti.API.info("You clicked forgot password");
		Ti.API.info(event);
		
		var winF = Titanium.UI.createWindow({
			url: 'main_windows/table_forgot_password_view.js',
	    	titleImage:'images/custom/IVUloto_logo.png',
	    	tabBarHidden:true,
	    	navBarHidden:true
		});
		
		winF.open({animated : true}); 
	
	});
	
/*****
	win.addEventListener('close', function(e)
	{
		var date = formatTime();
							
		if(session){
				
			Titanium.App.Properties.setBool('Bool',true);		
			Titanium.App.Properties.setList('UserInfo',paramsLogin);
		}
				
		Ti.API.info('CLOSED 1 fired in window ' + date + ' session: ' + session + '  username: ' + paramsLogin.username);
		
		//username.value = '';   
	    //password.value = ''; 
	    navActInd.hide();		
	});
******/	

	//
	//  EVENT LISTENERS
	//
	win.addEventListener('open', function()
	{
			
		var date = formatTime();
		
		Ti.API.info('OPEN fired in window ' + date);
	});
	
	
	win.addEventListener('focus', function(e)
	{
		
		 //Titanium.App.Properties.setBool('Bool',false);
		//Titanium.App.Properties.removeProperty('Bool');
			
		
		var date = formatTime();	
		Ti.API.info('FOCUS fired in window ' + date +" session: " + Titanium.App.Properties.getString('Bool'));
	});
	
	navActInd.hide();
});//END OF APP Listener



Ti.App.addEventListener('grantEntrance', function(event)   
{   
     Ti.API.info('grantEntrance: '+ event);

   
     if ( tabGroup == undefined ) {
        // create tab group
		var tabGroup = Titanium.UI.createTabGroup({
			id:'tabGroup1', 
			//barColor:'#5680BC',
			barColor:'#4EABDE',
			//backgroundImage:'images/custom/IVUloto_background_all_screens.png'
			backgroundColor:'#000'
		});
				
   		//
		// create base UI tab and root window
		//
		var win1 = Titanium.UI.createWindow({  
    		url:'main_windows/table_all_drawings.js', 
    		paramDraws:event.draws,
    		paramCurrentDraw: event.currentdraw,
    		paramWinner: event.winner,     		
			title:'Ganadores del premio',
			titleid:'My base_ui_title',
			titleImage:'images/appcelerator_small.png',
			tabBarHidden: true,
			backgroundColor:'#ccc',
			activity : {
				onCreateOptionsMenu : function(e) {
						var menu = e.menu;
		
						var m1 = menu.add({
							title : 'Log Out'
						});
						m1.setIcon(Titanium.Android.R.drawable.ic_menu_close_clear_cancel);
						m1.addEventListener('click', function(e) {
							
								navActInd.message = 'Please wait...';
								navActInd.show();	      
    							Ti.API.info('In header button session: ' + Titanium.App.Properties.getString('Bool'));
    
    							session = 'false';
    							Titanium.App.Properties.setBool('Bool',false);
	  	
							   	Ti.App.fireEvent('loginEntrance', {   
							       		name:'John Doe',   
									    email:'john.doe@ivertek.com'   
								}); 
						});	
				}
			}
		});		
		var tab1 = Titanium.UI.createTab({  
			icon:'images/tabs/dollar_cash.png',
			title:'Ganadores',
			titleid:'base_ui_title',	
			backgroundColor:'#6588C0',	
			backgroundImage: 'images/tabs/tab-back.png',	
    		window:win1
		});
		

		var win2 = Titanium.UI.createWindow({ 
			url:'main_windows/table_view_layout_entry.js',
			paramGuid: event.guid,
			paramDraws:event.draws,
			title:'Registro de numero de IVU Loto',
			titleid:'My base_ui_title',
			titleImage:'images/appcelerator_small.png',
			tabBarHidden: true,
			backgroundColor:'#ccc',
			activity : {
			onCreateOptionsMenu : function(e) {
						var menu = e.menu;
		
						var m1 = menu.add({
							title : 'Log Out'
						});
						m1.setIcon(Titanium.Android.R.drawable.ic_menu_close_clear_cancel);
						m1.addEventListener('click', function(e) {
							
								navActInd.message = 'Please wait...';
								navActInd.show();	      
    							Ti.API.info('In header button session: ' + Titanium.App.Properties.getString('Bool'));
    
    							session = 'false';
    							Titanium.App.Properties.setBool('Bool',false);
	  	
							   	Ti.App.fireEvent('loginEntrance', {   
							       		name:'John Doe',   
									    email:'john.doe@ivertek.com'   
								}); 
						});	
				}
			}			
			
			
		});
		var tab2 = Titanium.UI.createTab({  
			icon:'images/tabs/KS_nav_ui.png',
			title:'Registro #',
			titleid:'base_ui_title',			
    		window:win2
		});
   
   
   		var win3 = Titanium.UI.createWindow({ 
			url:'main_windows/table_all_history.js',
			paramHistory:event.history,
			paramGuid: event.guid,
			paramDraws:event.draws,
			title:'History of numero de IVU Loto registered',
			titleid:'My base_ui_title',
			titleImage:'images/appcelerator_small.png',
			tabBarHidden: true,
			backgroundColor:'#ccc',
			activity : {
			onCreateOptionsMenu : function(e) {
						var menu = e.menu;
		
						var m1 = menu.add({
							title : 'Log Out'
						});
						m1.setIcon(Titanium.Android.R.drawable.ic_menu_close_clear_cancel);
						m1.addEventListener('click', function(e) {
							
								navActInd.message = 'Please wait...';
								navActInd.show();	      
    							Ti.API.info('In header button session: ' + Titanium.App.Properties.getString('Bool'));
    
    							session = 'false';
    							Titanium.App.Properties.setBool('Bool',false);
	  	
							   	Ti.App.fireEvent('loginEntrance', {   
							       		name:'John Doe',   
									    email:'john.doe@ivertek.com'   
								}); 
						});	
				}
			}
		});
		var tab3 = Titanium.UI.createTab({  
			icon:'images/tabs/KS_nav_views.png',
			title:'Historial',
			titleid:'base_ui_title',			
    		window:win3
		});
		
		
   		var win4 = Titanium.UI.createWindow({ 
			url:'main_windows/table_view_profile.js',
			paramProfile:event.profile,
			title:'Cambios a tu cuenta',
			titleid:'My base_ui_title',
			titleImage:'images/appcelerator_small.png',
			backgroundColor:'#fff'
		});
		var tab4 = Titanium.UI.createTab({  
			icon:'images/tabs/user.png',
			title:'Perfil',
			titleid:'base_ui_title',			
    		window:win4
		});
		
		//
		//  add tabs
		//
		tabGroup.addTab(tab1);  
		tabGroup.addTab(tab2);  
		tabGroup.addTab(tab3);
		tabGroup.addTab(tab4);  	
   
     }
   
  	if(Titanium.App.Properties.getBool('close_window') != false)
    	win.close();  //throws exception added if check statement
 
	

    // open tab group
    if(Titanium.App.Properties.getBool('close_window') != false) //problem with opening 2 windows simultaneously
		tabGroup.open();

	
	Titanium.App.Properties.removeProperty('close_window');
		
	//hide activity
	navActInd.hide();
	
	Ti.App.fireEvent('closeWindow', {      
	    name:'John Doe',   
		email:'john.doe@ivertek.com'     
	});  
	
});

Ti.App.addEventListener('closeWindow', function(event)   
{   
	var date = formatTime();
						
	if(session){
			
		Titanium.App.Properties.setBool('Bool',true);		
		Titanium.App.Properties.setList('UserInfo',paramsLogin);
	}
					
	//Ti.API.info('CLOSED2 Window fired event in window ' + date + ' session: ' + session + '  username: ' + paramsLogin.username);
	
    navActInd.hide();		

});

/*******
win.addEventListener('close', function(e)
{
	var date = formatTime();
						
	if(session){
			
		Titanium.App.Properties.setBool('Bool',true);		
		Titanium.App.Properties.setList('UserInfo',paramsLogin);
	}
			
	Ti.API.info('CLOSED 2 fired in window ' + date + ' session: ' + session + '  username: ' + paramsLogin.username);
	
	//username.value = '';   
    //password.value = ''; 
    navActInd.hide();		
});
******************/	

win.addEventListener('android:back', function () {
	 var intent = Ti.Android.createIntent({
	      action: Ti.Android.ACTION_MAIN
	 });
	 intent.addCategory(Ti.Android.CATEGORY_HOME);
	 Ti.Android.currentActivity.startActivity(intent);
});



function pad (x)
{
	if (x < 10)
	{
		return '0' + x;
	}
	return x;
}
function formatTime()
{
	var date = new Date();
	var h = date.getHours();
	var m = date.getMinutes();
	var s = date.getSeconds();
	return pad(h) + ':' + pad(m) + ':' + pad(s);
}



// trap app shutdown event
Titanium.App.addEventListener('paused',function(e)
{
	Ti.API.info("PAUSED The application is being shutdown...");
});


// trap app forgrounded event
Titanium.App.addEventListener('resume',function(e)
{
	Ti.API.info("RESUME The application is being open forground...");
});


//check in general if the device have access to the internet either by GSM or WIFI
/**if(Titanium.Network.networkType == Titanium.Network.NETWORK_NONE){
     var alertDialog = Titanium.UI.createAlertDialog({
              title: 'WARNING!',
              message: 'El device no tiene acceso al internet',
              buttonNames: ['OK']
            });
            alertDialog.show();
}**/

function check_network() {
    
    Ti.API.info("Titanium.Network.online....  " + Titanium.Network.online); 
    
    if(Titanium.Network.online){
    	if(Titanium.App.Properties.getString('Bool') == 'true'){
		
			var list = Titanium.App.Properties.getList('UserInfo'); //store in session
						
			for (var i=0; i<list.length; i++)
			{
				Titanium.API.info('row['+i+'].username=' + list[i].username + ' row['+i+'].password=' + list[i].password );
			}
			Titanium.API.debug('StringList user info: ' + resultHelper(list,list));
				
			paramsLogin.username = list[0].username; 
			paramsLogin.password = list[0].password;    
					        
			Ti.API.info("sending values...."); 
			gReader.connect(paramsLogin, '/mobilewebservice/login', "login");
				
		}else{
						
			Ti.API.info("is no true Bool..." + Titanium.App.Properties.getString('Bool'));
			
			Ti.App.fireEvent('loginEntrance', {   
		       		name:'John Doe',   
				    email:'john.doe@ivertek.com'   
			}); 		
		} 
	}
	else{
		Ti.API.info("Applicacion has no internet access");
			
		Ti.App.fireEvent('loginEntrance', {   
		    name:'John Doe',   
			email:'john.doe@ivertek.com'   
		}); 
		
		var alertDialog = Titanium.UI.createAlertDialog({
	        title: 'NETWORK WARNING!',
	        message: 'El device no tiene acceso al internet.',
	        buttonNames: ['OK']
	    });
	    alertDialog.show(); 		
	}

}

check_network();

var the_screen_platformHeight = Titanium.Platform.displayCaps.platformHeight;
//Ti.API.debug("Ti.App.version on: " + Ti.App.version);