Titanium.include('base_validation_key_text.js');

var win = Titanium.UI.currentWindow;
win.backgroundImage='../images/custom/IVUloto_background_screen.png';



Titanium.UI.currentWindow.addEventListener('focus',function(e)
{
    Titanium.API.info("window event focus received = "+e);
    
    //label_n.text = "Entra tu combinación de "+win.title+" :";
    if(win.title == 'E-mail') {
    	number.hide();
    	email.show();
    	//email.keyboardType = Titanium.UI.KEYBOARD_EMAIL;
		email.returnKeyType = Titanium.UI.RETURNKEY_ROUTE;	
    	email.value = win.number;
    		   
    }else{
    	email.hide();
    	number.show();
    	number.keyboardType = Titanium.UI.KEYBOARD_PHONE_PAD;
    	number.value = win.number;
    }

});

Titanium.UI.currentWindow.addEventListener('open',function(e)
{
    Titanium.API.info("window event focus received = "+e);
    
    main_toolbar_top_view.open();
    main_toolbar_top_view.addEventListener('open', function() {
        //picker.setSelectedRow(0, Number(picker.getSelectedRow(0).index), false);
    })
	main_toolbar_top_view.animate({
        top : 0
    });
	
});

var isAndroid = false;

if(Ti.Platform.name == 'android') {
      isAndroid = true;
}


/*************************
 * Text Field
 *************************/

var label_n = Titanium.UI.createLabel({
	text:'',
	height:50,
	width:'auto',
	shadowColor:'#aaa',
	shadowOffset:{x:5,y:5},
	color:'#CCC',
	//backgroundColor : '#222',
	font:{fontSize:19, fontStyle:'italic', fontFamily: 'sans-serif', fontWeight: 'bold'},
	top:15,
	textAlign:'left'
});
win.add(label_n);

var email = Titanium.UI.createTextField({
	color:'#336699',
	top:60,
	left:10,
	width:300,
	height: isAndroid ? 55 : 35,
	hintText:'E-mail',
	keyboardType: Titanium.UI.KEYBOARD_EMAIL,
	returnKeyType:Titanium.UI.RETURNKEY_DEFAULT,
	borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED
});
win.add(email);


var number = Ti.UI.createTextField({
	autocapitalization:Titanium.UI.TEXT_AUTOCAPITALIZATION_NONE,
	width:300,
	top:60,
	height: isAndroid ? 55 : 35,
	autocorrect:false,
	borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED,
	//hintText:'date and drawing number',
	//keyboardType:Titanium.UI.KEYBOARD_DEFAULT,   
	returnKeyType:Titanium.UI.RETURNKEY_DEFAULT,
    keyboardToolbarColor: '#999',   
    keyboardToolbarHeight: 40

});
win.add(number);



number.addEventListener('click',function(e)
{
    Titanium.API.info("window event focus received = "+e);
    
    /***picker_toolbar.bottom = picker.height;
    picker_view.open();
    picker_view.addEventListener('open', function() {
        //picker.setSelectedRow(0, Number(picker.getSelectedRow(0).index), false);
    })
    picker_view.animate({
        bottom : 0
    });***/

});


email.addEventListener('click',function(e)
{
    Titanium.API.info("window event focus received = "+e);
    
    /***picker_toolbar.bottom = picker.height;
    picker_view.open();
    picker_view.addEventListener('open', function() {
        //picker.setSelectedRow(0, Number(picker.getSelectedRow(0).index), false);
    })
    picker_view.animate({
        bottom : 0
    });***/
    
});




var info_mssg = Titanium.UI.createLabel({
	text:'',
	font:{fontSize:16},
	color:'#EC2F15',
	top:123,
	width:250,
	height:'auto',
	textAlign:'center'
});
win.add(info_mssg);



/*****************
 * 
 * PICKER
 ****************/
 
var flex_space = Ti.UI.createButton({
    systemButton : Ti.UI.iPhone.SystemButton.FLEXIBLE_SPACE
});
 
picker_close = function(e) {
	
	
		Ti.API.debug("button name: " + e.source.titleid);
		Ti.API.debug("win title: " + win.title);
		Ti.API.debug("win name: " + win.name);
		
		Ti.API.debug("wnumber.value: " + number.value);
	
		if(close){   
			if(win.title == 'E-mail'){
				if(validate_field_profile(email.value)) return;
			}
			else if(validate_field_profile(number.value)) return;
		}
	
    
    	var animation = Ti.UI.createAnimation({
        	 	bottom : -259	
    	});
  
  		animation.addEventListener('complete', function() {
         		main_toolbar_top_view.close();
    	});
    		
    	main_toolbar_top_view.animate(animation);
    		
    
    	if(close){   
    			
    			Ti.App.fireEvent('backProfileEntrance', {   
         			source: win.title == 'E-mail' ? 'email' : win.title == 'Número de teléfono'? 'phone': 'cell',
         			number: win.title == 'E-mail' ? email.value : number.value.toUpperCase(),
         			email: win.title == 'E-mail' ? email.value : number.value.toUpperCase(),
         			pos: win.pos  
    			});   
    			 			
    	}else{
    		  			
    		  	Ti.App.fireEvent('backProfileEntrance', {   
         			source: 'cancel',         			
         			pos: win.pos,
         			email:'john.doe@ivertek.com'   
    			});
    	}
    
    		    		
       	number.value = "";
    	label_n.text ="";
    	email.value = "";
    		
    	info_mssg.text="";
    	email.hintText='';
    	
    	
       
   		Titanium.UI.currentWindow.close();
 
 
};
 

var picker = Ti.UI.createPicker({
    selectionIndicator : true,
    bottom : 0,
    useSpinner : true,
    visibleItems : 7,
    type : Ti.UI.PICKER_TYPE_PLAIN
});
 
var picker_cancel = Ti.UI.createButton({
       //title : 'Cancelar',
       titleid : 'Cancelar',
       style : Ti.UI.iPhone.SystemButtonStyle.BORDERED,
       image:'../images/custom/Button_Cancelar.png',
       left : 10,
       top : 5
});
picker_cancel.addEventListener('click', function(e) {
	
	picker_close(e);	

});
 
var picker_done = Ti.UI.createButton({
       //title : 'Cambiar',
       titleid : 'Cambiar',
       style : Ti.UI.iPhone.SystemButtonStyle.DONE,
       image:'../images/custom/Button_Cambiar.png',
       right : 10,
       top : 5
});
picker_done.addEventListener('click', function(e) {
     
       //dates[pos].value = picker.getSelectedRow(0).title;
       //date.value = picker_rows[picker.getSelectedRow(0).index].title1+"  "+picker_rows[picker.getSelectedRow(0).index].title2;
       //date.font = {fontSize:12,fontWeight:'normal', fontFamily:'Arial'};
       //Ti.API.info("You selected row: "+picker.getSelectedRow(0).index+", column: , custom_item: "+picker.getSelectedRow(0).value);
       //field.picker_value = picker.getSelectedRow(0).value;
       //var picker_index = picker.getSelectedRow(0).index;
       
       Ti.API.debug("clicked picker_done....... ");
       //clean up
       close = true;
       picker_close(e);
       
});
    
        
    
if(isAndroid) {
        var picker_toolbar = Ti.UI.createView({
            height : '260',
            bottom : 0,
            backgroundColor : 'gray'
        });
       picker_toolbar.add(Ti.UI.createView({
            height : '44',
            top : 0,
            backgroundColor : 'darkGray'
        }));
        picker_toolbar.add(picker_cancel);
        picker_toolbar.add(picker_done);
        
        //top main toolbar
        var main_toolbar_top = Ti.UI.createView({
            height : '44dp',           
            top : 0,
            backgroundColor : 'transparent'
            //backgroundColor : 'gray'
        });
        main_toolbar_top.add(Ti.UI.createView({
            height : '44dp',
            top : 0,
            backgroundColor : 'transparent'                     
            //backgroundColor : '#1F76A6'
        }));
        main_toolbar_top.add(picker_cancel);
        //main_toolbar_top.add(label_d);
        main_toolbar_top.add(picker_done);
        
        
} else {
        var picker_toolbar = Ti.UI.createToolbar({
            bottom : picker.height,
            items : [picker_cancel, flex_space, picker_done],
            barColor : 'transparent'
        });
}
	
/**var picker_view = Titanium.UI.createWindow({
    	bottom : -259
});

picker_view.add(picker_toolbar);**/

var main_toolbar_top_view = Titanium.UI.createWindow({
    	//top : 259,
    	top : 0,
    	height: '44'
});
main_toolbar_top_view.add(main_toolbar_top);
