var win = Titanium.UI.currentWindow;
win.backgroundImage='../images/custom/IVUloto_background_screen.png';

var picker_rows = [];
/***picker_rows[0]={title1:'Octubre 7, 2011', title2:'Sorteo: 097', title3:'#: 097', value:'b'};
picker_rows[1]={title1:'Octubre 17, 2011', title2:'Sorteo: 096', title3:'#: 096', value:'s'};
picker_rows[2]={title1:'Octubre 27, 2011', title2:'Sorteo: 095', title3:'#: 095', value:'m'};
picker_rows[3]={title1:'Septiembre 1, 2011', title2:'Sorteo: 094', title3:'#: 094', value:'g'};
picker_rows[4]={title1:'Septiembre 7, 2011', title2:'Sorteo: 093', title3:'#: 093', value:'b'};
picker_rows[5]={title1:'Septiembre 17, 2011', title2:'Sorteo: 092', title3:'#: 092', value:'s'};
picker_rows[6]={title1:'Septiembre 27, 2011', title2:'Sorteo: 091', title3:'#: 091', value:'m'};
picker_rows[7]={title1:'Agosto 1, 2011', title2:'Sorteo: 090', title3:'#: 090', value:'g'};
picker_rows[8]={title1:'Agosto 17, 2011', title2:'Sorteo: 089', title3:'#: 089', value:'s'};
picker_rows[9]={title1:'Agosto 27, 2011', title2:'Sorteo: 088', title3:'#: 088', value:'m'};
picker_rows[10]={title1:'Agosto 31, 2011', title2:'Sorteo: 087', title3:'#: 087', value:'g'};***/


Ti.API.info('In base view picker::::  ' + Titanium.UI.currentWindow.draw); 

for (i = 0; i < Titanium.UI.currentWindow.draw.length; i++) {
					
	riffle = Titanium.UI.currentWindow.draw[i];
	picker_rows.push({title1:riffle.DrawDate, title2:'Sorteo: '+ riffle.Draw, title3:'#: '+ riffle.Draw, value:'a'});
}
//title1:riffle.DrawDate.split(' ').join('')

Titanium.UI.currentWindow.addEventListener('open',function(e)
{
    //Titanium.API.info("window event open received = "+e);
    
    picker_toolbar.bottom = picker.height;
    picker_view.open();
    picker_view.addEventListener('open', function() {
        picker.setSelectedRow(0, Number(picker.getSelectedRow(0).index), false);
    })
    picker_view.animate({
        bottom : 0
    }); 

});

var close = false;
var isAndroid = false;

if(Ti.Platform.name == 'android') {
      isAndroid = true;
}


/*************************
 * Text Field
 *************************/

var label_d = Titanium.UI.createLabel({
	text:'Selecciona día y número del sorteo:',
	height:50,
	width:'auto',
	shadowColor:'#aaa',
	shadowOffset:{x:5,y:5},
	color:'#CCC',
	//backgroundColor : '#222',
	font:{fontSize:17, fontStyle:'italic', fontFamily: 'sans-serif', fontWeight: 'bold'},
	top:15,
	textAlign:'left'
});
//win.add(label_d);

var date = Ti.UI.createTextField({
	autocapitalization:Titanium.UI.TEXT_AUTOCAPITALIZATION_NONE,
	value: win.date,
	width:300,
	top:60,
	height: isAndroid ? 55 : 35,
	autocorrect:false,
	editable:false,
	borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED,
	//hintText:'date and drawing number',
	keyboardType:Titanium.UI.KEYBOARD_DEFAULT,   
	returnKeyType:Titanium.UI.RETURNKEY_DEFAULT
});
win.add(date);


/*****************
 * 
 * PICKER
 ****************/
 
var flex_space = Ti.UI.createButton({
    systemButton : Ti.UI.iPhone.SystemButton.FLEXIBLE_SPACE
});
 
picker_close = function() {
    var animation = Ti.UI.createAnimation({
         bottom : -259
    });
    animation.addEventListener('complete', function() {
         picker_view.close();
    });
    picker_view.animate(animation);
        
    //clean up
  	date.value = "";
    label_d.text ="";    
    	
   if(close){   
    
    	if(win.name == 'register'){
    		Ti.App.fireEvent('backRegisterEntrance', {   
          		source: 'picker',
          		date: picker_rows[picker.getSelectedRow(0).index].title1+" - "+picker_rows[picker.getSelectedRow(0).index].title3.slice(picker_rows[picker.getSelectedRow(0).index].title3.length-3,picker_rows[picker.getSelectedRow(0).index].title3.length),  
          		pos: win.pos,
          		email:'john.doe@ivertek.com'   
    		});
    	}else {
	    	Ti.App.fireEvent('backEntryEntrance', {   
	          	source: 'picker',
	          	date: picker_rows[picker.getSelectedRow(0).index].title1+" - "+picker_rows[picker.getSelectedRow(0).index].title3.slice(picker_rows[picker.getSelectedRow(0).index].title3.length-3,picker_rows[picker.getSelectedRow(0).index].title3.length),  
	          	pos: win.pos,
	          	email:'john.doe@ivertek.com'   
	    	});
    	}
    	
   }else if(win.name == 'register'){ //this is when user clicks cancel
    	   	
    	   	Ti.App.fireEvent('backRegisterEntrance', {   
          	source: 'cancel',
          	date: picker_rows[picker.getSelectedRow(0).index].title1+"  "+picker_rows[picker.getSelectedRow(0).index].title3,
           	pos: win.pos,
          	email:'john.doe@ivertek.com'   
    	});    	
    }
        
    Titanium.UI.currentWindow.close();
 
};
 
var picker = Ti.UI.createPicker({
    selectionIndicator : true,
    bottom : 0,
    useSpinner : true,
    visibleItems : 7,
    type : Ti.UI.PICKER_TYPE_PLAIN
});
for(var i in picker_rows) {
      	
    picker.add(Ti.UI.createPickerRow({
      	font  : {fontSize: 10, fontFamily: 'sans-serif', fontWeight: 'bold'},
        title : picker_rows[i].title1+"  "+picker_rows[i].title2,
        value : picker_rows[i].value,
        index : i
   }));
}
 
var picker_cancel = Ti.UI.createButton({
       //title : 'Cancelar',
       titleid : 'Cancelar',
       style : Ti.UI.iPhone.SystemButtonStyle.BORDERED,
       image:'../images/custom/Button_Cancelar.png',
       left : 10,
       top : 0
});
picker_cancel.addEventListener('click', picker_close);
 
var picker_done = Ti.UI.createButton({
       //title : 'Seleccionar',
       titleid : 'Seleccionar',
       style : Ti.UI.iPhone.SystemButtonStyle.DONE,
       image:'../images/custom/Button_Seleccionar.png',
       right : 10,
       top : 0
});
picker_done.addEventListener('click', function() {
       
     
       //dates[pos].value = picker.getSelectedRow(0).title;
       //date.value = picker_rows[picker.getSelectedRow(0).index].title1+"  "+picker_rows[picker.getSelectedRow(0).index].title2;
       //date.font = {fontSize:12,fontWeight:'normal', fontFamily:'Arial'};
       Ti.API.info("You selected row: "+picker.getSelectedRow(0).index+", column: , custom_item: "+picker.getSelectedRow(0).value);
       //field.picker_value = picker.getSelectedRow(0).value;
       //var picker_index = picker.getSelectedRow(0).index;  
       
       close = true;
       picker_close();        
 
});
    
        
    
if(isAndroid) {
        var picker_toolbar = Ti.UI.createView({
            height : '202',
            bottom : 0,
            backgroundColor : 'transparent'
            //backgroundColor : 'gray'
        });
       picker_toolbar.add(Ti.UI.createView({
            height : '44',
            top : 0,
            backgroundColor : 'transparent'
            //backgroundColor : 'darkGray'
        }));
        picker_toolbar.add(picker_cancel);
        picker_toolbar.add(picker_done);
} else {
        var picker_toolbar = Ti.UI.createToolbar({
            bottom : picker.height,
            items : [picker_cancel, flex_space, picker_done],
            barColor : 'transparent'
        });
}
 	
var picker_view = Titanium.UI.createWindow({
    	bottom : -259
});

picker_view.add(picker_toolbar);
picker_view.add(picker);
 

    
picker.addEventListener('change',function(e)
{
    Ti.API.info("You selected row: "+e.row+", column: "+e.column+", custom_item: "+e.row.value+ ",title: "+e.row.title1);
    date.value = picker_rows[picker.getSelectedRow(0).index].title1+"  "+picker_rows[picker.getSelectedRow(0).index].title2;
    //date.value = e.row.title1;
    //date.font = {fontSize:12,fontWeight:'normal', fontFamily:'Arial'};
	//label.text = "row index: "+e.rowIndex+", column index: "+e.columnIndex;
});
