Titanium.include('json.js','../main_windows/user_session_include.js', 'base_utils.js','base_filesystem_xml.js');


var gReader = 
{ 
	
	URL: 'WebService.js',
	action:null,
	service:null,
	intent:null,	
	now:null,   
	delta:null,    
	deltaMS:null,
	path:null,
	list:null,    
	
	getService : function()
	{
	
		if (Ti.Android.isServiceRunning(Ti.Android.createServiceIntent({url: gReader.URL}))) {
			Ti.API.info('Service IS running');
		} else {
			Ti.API.info('Service is NOT running');
			gReader.intent = Ti.Android.createServiceIntent({
				url: gReader.URL
			});
			gReader.service = Ti.Android.createService(gReader.intent);
		}
	
		Ti.API.info('resultHelper(list,null)::: ' + resultHelper(gReader.list,null));

		gReader.getToken(); //Get Token 
	}, 


	getToken: function()
	{ 
		if(!resultHelper(gReader.list,null)){ //if is not empty
			//send userinfo to the webservice for validation
					   		    
		   
			//pass parameters to Service
			if(gReader.deltaMS == null) gReader.deltaMS = new Date().getTime();
			
			try{
				gReader.intent.putExtra('interval', gReader.deltaMS);	
		 	}catch(e){Ti.API.error(e);}
					
			gReader.intent.putExtra('action', gReader.action);
			gReader.intent.putExtra('params', JSON.stringify(gReader.list));
			gReader.intent.putExtra('url', gXmlReader.message('', 'domain')+gReader.path);
			//gReader.intent.putExtra('url', 'https://raw.github.com/appcelerator/Documentation-Examples/master/HTTPClient/data/json.txt');
		
			//gReader.connect(paramsLogin);
			//start service
			gReader.service.start();				
		}  
		
		gReader.service.addEventListener('start', function(e) {
			Ti.API.info('Starting... Instance #' + e.source.serviceInstanceId + ' (bound)');
		});
		gReader.service.addEventListener('pause',function(e) {
			Ti.API.info('Bound instance #' + e.source.serviceInstanceId + ' paused (iteration #' + e.iteration + ')');
			if (e.iteration == 5) {
					Ti.API.info('Bound instance #' + e.source.serviceInstanceId + ' has had 2 iterations... going to stop it now.');
					e.source.stop();
			}
		});
		gReader.service.addEventListener('resume',function(e) {
			Ti.API.info('Bound instance #' + e.source.serviceInstanceId + ' resumed (iteration #' + e.iteration + ')');
		});
		gReader.service.addEventListener('stop',function(e) {
			Ti.API.info('Bound instance #' + e.source.serviceInstanceId + ' stopped (iteration #' + e.iteration + ')');
		});	
	}, 
	
	
	connect : function(loginInfo, path, action)
	{ 
		//Username=loginInfo.username; 
		//Password=loginInfo.password; 
		//undefined
		Ti.API.info('>>>>>>> Params In connect::  ' + loginInfo); 
		gReader.now = new Date().getTime();  
		gReader.delta = new Date( gReader.now + (5 * 1000) );   
		gReader.deltaMS = gReader.delta - gReader.now;
		gReader.list = loginInfo;
		gReader.action = action;
		gReader.path = path;

		gReader.getService();
		//gReader.getSid(); //Get SID 
	} 
};



Ti.App.addEventListener('service_fire', function(data) {
            
	var user = [
        {
           	guid: "",
           	currentdraw: "",
            error:""
        },
        draws=[],
        winner=[],
        history=[],
        profile=[]    
    ];
	
	user.guid = data.message.Guid;
	user.currentdraw = data.message.CurrentDraw; 	
	user.error = data.message.Error;
	user.draws = data.message.Drawings;
	user.winner = data.message.WinnerCombinations;
	user.history = data.message.RegistratedNumbers;
	user.profile = data.message.UserProfile;
			
	Ti.API.info('Service says: ' + data.message.Guid );
	Ti.API.info('Service says: ' + data.message.Error );
	Ti.API.info('Service says: ' + data.message.CurrentDraw );
	Ti.API.info('Service says: ' + data.message.Drawings );
	Ti.API.info('Service says: ' + data.message.WinnerCombinations );
	Ti.API.info('Service says: ' + data.message.RegistratedNumbers );
	Ti.API.info('Service says: ' + data.message.UserProfile );
	
	
	try{
		gReader.service.stop();
	}catch (e){
		Ti.API.info("Error on " + e.message);
	}			
	
	
	//on successful response store values.				
	//if(resultHelper(data,data)){ //if successful	
	if(/^\s*$/.test(data.message.Error)){ //if successful			
		Ti.App.fireEvent('grantEntrance', {		      	    
		       	 guid: user.guid,
		       	 currentdraw: user.currentdraw,
		       	 draws: user.draws,
		       	 winner: user.winner,
		       	 history: user.history,
		       	 profile: user.profile     	    
		});  
		
	}else{ //redirect user to login because incorrect stored in session username/password
			
		Ti.App.fireEvent('loginEntrance', {      
		    	guid: user.guid   
		});  
		
		
		var alertDialog = Titanium.UI.createAlertDialog({
	        title: 'LOGIN WARNING!',
	        message: gXmlReader.message(data.message.Error, 'login'),
	        buttonNames: ['OK']
	    });
	    alertDialog.show(); 	
	}	 

});
