/************************************
 * 
 * Android allows developers to specify layout values (and font sizes, though the term is slightly different) 
 * in density independent pixels, also called dips. When your UI components are sized in dips, the Android OS 
 * will scale your UI up or down as if the screen your application is running on were what it calls a “medium 
 * density” (or 160dpi) screen.
 * 
 * 
 */


var win = Titanium.UI.currentWindow;
win.backgroundImage='../images/custom/IVUloto_background_screen.png';


//win.backgroundColor = '#1F76A6';

var data =[];
var data_title =[];


var header = Titanium.UI.createImageView({
	backgroundColor:'#999',
	//backgroundImage: '../images/custom/IVUloto_logo_all.png',
	backgroundImage: '../images/custom/IVUloto_logo_profile.png',
    top: 5,
    height : '93dp',
	width : '180dp'
 	//height : '114dp',
	//width : '220dp'
	//canScale: true
    //width:'auto',
	//height:'auto'
});

var headerLabel = Ti.UI.createLabel({
	font:{fontFamily:'Helvetica Neue',fontSize:18,fontWeight:'bold'},
	text:'',
	color:'#222',
	textAlign:'left',
	left:10,
	top:50,
	width:300,
	height:30
});
//header.add(headerLabel);
win.add(header);


var section = Ti.UI.createTableViewSection();
var section_title = Ti.UI.createTableViewSection();

data.push(section);
data_title.push(section_title);

Ti.API.info('In table Details::::  ' + Titanium.UI.currentWindow.winner); 


var ivolotodata =[];
for (i = 0; i < Titanium.UI.currentWindow.winner.length; i++) {
					
	riffle = Titanium.UI.currentWindow.winner[i];
	
	ivolotodata.push({amt:riffle.Amount, win:riffle.Number, merchant:riffle.BusinessName, street:riffle.BusinessAddress, village:riffle.City, zip:riffle.Zipcode});

}

// ROW 1
var row1 = Ti.UI.createTableViewRow();
//row1.backgroundColor = '#1F76A6';
row1.backgroundImage = '../images/custom/background_title.png';
row1.selectedBackgroundColor = '#670000';
row1.height = 40;
row1.addEventListener('click', function(e) {
	//Ti.API.log(e.source+" click at ("+e.x+","+e.y+")");
});
var item1 = Ti.UI.createLabel({
	color:'#fff',
	text:'$',
	font:{fontSize:'13dp', fontWeight:'bold'},
	top:3,
	left:15,
	height:30,
	width:100
});
row1.add(item1);

var item2 = Ti.UI.createLabel({
	color:'#fff',
	text:'Ganadores',
	font:{fontSize:'13dp', fontWeight:'bold'},
	top:3,
	left:50,
	height:30,
	width:100
});
row1.add(item2);

var item3 = Ti.UI.createLabel({
	color:'#fff',
	text:'Comercio',
	font:{fontSize:'13dp', fontWeight:'bold'},
	top:3,
	left:135,
	height:30,
	width:100
});
row1.add(item3);

var item4 = Ti.UI.createLabel({
	color:'#fff',
	text:'Pueblo',
	font:{fontSize:'13dp', fontWeight:'bold'},
	top:3,
	left:240,
	height:30,
	width:100
});
row1.add(item4);

/***var item5 = Ti.UI.createLabel({
	color:'#fff',
	text:'Zip',
	font:{fontSize:'13dp', fontWeight:'bold'},
	top:3,
	left:283,
	height:30,
	width:100
});
row1.add(item5);***/

section_title.add(row1);

	
var tableview_title = Titanium.UI.createTableView({
	data:data_title,
	style:(Titanium.Platform.name == 'iPhone OS') ? Titanium.UI.iPhone.TableViewStyle.GROUPED : null,
	backgroundColor:'transparent',
	separatorColor:'#390A0E',
	top: (Titanium.Platform.displayCaps.density == 'high') ? 160 : (Titanium.Platform.displayCaps.density == 'low') ? 80 : 100
	//headerView:header,
});

format_number_field = function(number){
	
	//5000 = 5,000 //25,000
	//Ti.API.debug(" number.length  : " + number.length);
	
	if(number.length == 4){
		var temp = 	number.slice(0,1);	
    	var temp2 = number.slice(1,4);
   }else{ //5
    	var temp = 	number.slice(0,2);	
    	var temp2 = number.slice(2,5);    	
    }
    
    Ti.API.debug(" temp and temp2 : " + temp +"  "+ temp2);
    	
    number = temp +','+ temp2;
    	
    return number;
}
	
	
var c = 0; 

while(ivolotodata[c])
{
	// ROW #
	var row = Ti.UI.createTableViewRow();	
	//row.selectedBackgroundColor = '#670000';
	row.selectedBackgroundColor = 'transparent';
	row.height = 50;
	row.addEventListener('click', function(e) {
			//Ti.API.log(e.source+" click at ("+e.x+","+e.y+")");
	});


	if ((c % 2) == 0)
	{
		//row.backgroundColor = '#F3F6D8';
	}	
	else
	{
		//row.backgroundColor = '#C8DAF6';
	}


	var item1 = Ti.UI.createLabel({
	color:'#000',
	text: (ivolotodata[c].amt.length == 4 || ivolotodata[c].amt.length == 5) ?  format_number_field(ivolotodata[c].amt) : ivolotodata[c].amt,
	font:{fontSize:'10dp', fontWeight:'bold'},
	top:3,
	left:8,
	height:30,
	width:100
	});
	row.add(item1);

	var item2 = Ti.UI.createLabel({
	color:'#000',
	text:ivolotodata[c].win,
	font:{fontSize:'10dp', fontWeight:'bold'},
	top:3,
	left:50, //40-7 = 33
	height:30,
	width:100
	});
	row.add(item2);
  Ti.API.debug("ivolotodata[c].merchant.length ::: " +ivolotodata[c].merchant.length);
	var item3 = Ti.UI.createLabel({
	color:'#000',
	text:(ivolotodata[c].merchant.length > 30) ? ivolotodata[c].merchant.slice(0,ivolotodata[c].merchant.length-6) : ivolotodata[c].merchant,
	font:{fontSize:'10dp', fontWeight:'bold'},
	top:3,
	left:135, //112-7 = 105
	height:35,
	width:100
	});
	row.add(item3);
	
	var item4 = Ti.UI.createLabel({
	color:'#000',
	text:ivolotodata[c].street,
	font:{fontSize:'8dp', fontWeight:'bold'},
	top: (ivolotodata[c].merchant.length > 30) ? 28 : 24,
	left:135, //112-7 = 105
	height:30,
	width:100
	});
	row.add(item4);

	var item5 = Ti.UI.createLabel({
	color:'#000',
	text:ivolotodata[c].village.substring(0,10),
	font:{fontSize:'10dp', fontWeight:'bold'},
	top:3,
	left:240, //214-7 = 207
	height:30,
	width:100
	});
	row.add(item5);

	/**var item6 = Ti.UI.createLabel({
	color:'#000',
	text:ivolotodata[c].zip,
	font:{fontSize:'10dp', fontWeight:'bold'},
	top:3,
	left:278,
	height:30,
	width:100
	});
	row.add(item6);**/


	section.add(row);
	//row.add(label2);
	//data[c]=row;
	
	c++;
}

var tableview = Titanium.UI.createTableView({
	data:data,
	style:(Titanium.Platform.name == 'iPhone OS') ? Titanium.UI.iPhone.TableViewStyle.GROUPED : null,
	backgroundColor:'transparent',
	separatorColor:'#390A0E',
	top: (Titanium.Platform.displayCaps.density == 'high') ? 200 : (Titanium.Platform.displayCaps.density == 'low') ? 120 : 140
	//headerView:header,
});

win.add(tableview_title);
win.add(tableview);