Titanium.include('base_validation_key_text.js');

var win = Titanium.UI.currentWindow;
win.backgroundImage='../images/custom/IVUloto_background_screen.png';



Titanium.UI.currentWindow.addEventListener('open',function(e)
{
    Titanium.API.info("window event open received = "+e);

	//main_toolbar_top_view.bottom  = 452;
	main_toolbar_top_view.open();
	main_toolbar_top_view.animate({
        top : 0
    });
	
});



if(Ti.Platform.name == 'android') {
      isAndroid = true;
}


/*************************
 * Text Field
 *************************/

var label_d = Titanium.UI.createLabel({
	text:'Editar Combinación',
	height:50,
	width:'auto',
	shadowColor:'#aaa',
	shadowOffset:{x:5,y:5},
	color:'#CCC',
	//backgroundColor : '#222',
	font:{fontSize:17, fontStyle:'italic', fontFamily: 'sans-serif', fontWeight: 'bold'},
	top:1,
	left : 84,
	textAlign:'left'
});
//win.add(label_d);


var password1 = Titanium.UI.createTextField({
	color:'#336699',
	top:60,
	//left:10,
	width:300,
	height: isAndroid ? 55 : 35,
	hintText:'Contraseña',
	passwordMask:true,
	keyboardType:Titanium.UI.KEYBOARD_DEFAULT,
	returnKeyType:Titanium.UI.RETURNKEY_DEFAULT,
	borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED
});
win.add(password1);



password1.addEventListener('singletap', function(e) {
       
     Ti.API.debug("singletap date on: " + e.source.id);
      	
     password1.fireEvent('click');       
 
});

password1.addEventListener('click', function(e) {
       
  	Titanium.API.info("window event focus received = "+e);
    
    info_mssg.text = '';
 
});      


var password2 = Titanium.UI.createTextField({
	color:'#336699',
	top:130,
	//left:10,
	width:300,
	height: isAndroid ? 55 : 35,
	hintText:'Repita su contraseña',
	passwordMask:true,
	keyboardType:Titanium.UI.KEYBOARD_DEFAULT,
	returnKeyType:Titanium.UI.RETURNKEY_DEFAULT,
	borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED,
	keyboardToolbarColor: '#999',   
    keyboardToolbarHeight: 40
});
win.add(password2);



password2.addEventListener('change', function(e) {
	
 	Titanium.API.info("window event focus received = "+e);
    
    info_mssg.text = '';
       
});


var info_mssg = Titanium.UI.createLabel({
	text:'',
	font:{fontSize:16},
	color:'#EC2F15',
	top:193,
	width:250,
	height:'auto',
	textAlign:'center'
});
win.add(info_mssg);




/*****************
 * 
 * PICKER
 ****************/
 
var flex_space = Ti.UI.createButton({
    systemButton : Ti.UI.iPhone.SystemButton.FLEXIBLE_SPACE
});
 



window_close = function(e) {
	
	   	Ti.API.debug("fireEvent in main close");
	   	
	   	
	   	if(close)   		
	   		 if(!validate_field_passwords(password1, password2)) return;
	   		
	   	
    
    	var animation = Ti.UI.createAnimation({
        	bottom : 259
    	});
	    animation.addEventListener('complete', function() {
	         	main_toolbar_top_view.close();
	    });
    	main_toolbar_top_view.animate(animation);
    		
		Ti.App.fireEvent('backProfileEntrance', {   
        	source: close ? 'pswd' : 'cancel',
        	password: password1.value,
        	pos: win.pos,
        	email:'john.doe@ivertek.com'   
    	});    			
    		
    	
    	password1.value = '';
    	password2.value = '';
    	info_mssg.text = ''; 
    	password1.hintText='';
    	password2.hintText='';  
   
   		Titanium.UI.currentWindow.close();
	
};
 

var main_cancel = Ti.UI.createButton({
       //title : 'Cancelar',
       titleid : 'Cancelar',
       style : Ti.UI.iPhone.SystemButtonStyle.BORDERED,
       image:'../images/custom/Button_Cancelar.png',
       left : 10,
       top : 5
});
main_cancel.addEventListener('click', window_close);
 
var main_done = Ti.UI.createButton({
       //title : 'Cambiar',
       titleid : 'Cambiar',
       style : Ti.UI.iPhone.SystemButtonStyle.DONE,
       image:'../images/custom/Button_Cambiar.png',
       right : 10,
       top : 5
});
main_done.addEventListener('click', function(e) {
       
     
       //dates[pos].value = picker.getSelectedRow(0).title;
       //date.value = picker_rows[picker.getSelectedRow(0).index].title1+"  "+picker_rows[picker.getSelectedRow(0).index].title2;
       //date.font = {fontSize:12,fontWeight:'normal', fontFamily:'Arial'};
       //Ti.API.info("You selected row: "+picker.getSelectedRow(0).index+", column: , custom_item: "+picker.getSelectedRow(0).value);
       //field.picker_value = picker.getSelectedRow(0).value;
       //var picker_index = picker.getSelectedRow(0).index;  
       
       close = true;
       window_close(e);        
 
});
         
    
if(isAndroid) {
           
        //top main toolbar
        var main_toolbar_top = Ti.UI.createView({
            height : '44dp',
            top : 0,
            backgroundColor : 'transparent'
        });
        main_toolbar_top.add(Ti.UI.createView({
            height : '44dp',
            top : 0,                     
            backgroundColor : 'transparent'
        }));
        main_toolbar_top.add(main_cancel);
        //main_toolbar_top.add(label_d);
        main_toolbar_top.add(main_done);
        
        
} else {
        var picker_toolbar = Ti.UI.createToolbar({
            bottom : picker.height,
            items : [picker_cancel, flex_space, picker_done],
            barColor : 'transparent'
        });
}
 	

 
var main_toolbar_top_view = Titanium.UI.createWindow({
    	//top : 259,
    	top : 0,
    	height: '44'
});
main_toolbar_top_view.add(main_toolbar_top);
    
