Titanium.include('json.js');

var android = Ti.Platform.name == 'android';


/**
 * Result helper for checking a result against an expected value
 * @param result The result to test
 * @param expected The expected result
 * @return String Indicating Success or Failure
 */
function resultHelper(result, expected) {
			
	if (result instanceof Array) {
		var sourceResult = JSON.stringify(result);
		var expectedResult = JSON.stringify(expected);
		
		return resultHelper(sourceResult, expectedResult);
	} 
	
	if (result == expected) {
		//return "Test Success ("+result+"=="+expected+")";
		return true;
	} else {
		//return "Test Failure: result (" + result + ") != expected (" + expected + ")";
		return false;
	}
}



function lookupName(draw) {
	
	
	if(draw == -1){ 
		if(bookkeep[0].draw != '') return bookkeep[0].name;
		else return 0; // empty array		
	}
	
	for (k = 0; k < bookkeep.length; k++) {
		//Ti.API.debug("bookkeep....existe in array list :: " + bookkeep[k] + "  draw:: " + draw);
		if(bookkeep[k].draw == draw){	
					 
			 return bookkeep[k].name;
		}
		
	}
	
	return 0;
	
}


if (Titanium.Platform.osname == 'android') {
	var navActInd = Ti.UI.createActivityIndicator({
		message: 'Loading data, please wait...'
	});
}else if (Titanium.Platform.name == 'iPhone OS') {
	win.setRightNavButton(navActInd);
}

