/************************************
 * 
 * Android allows developers to specify layout values (and font sizes, though the term is slightly different) 
 * in density independent pixels, also called dips. When your UI components are sized in dips, the Android OS 
 * will scale your UI up or down as if the screen your application is running on were what it calls a “medium 
 * density” (or 160dpi) screen.
 * 
 * 
 */


var win = Titanium.UI.currentWindow;
win.backgroundImage='../images/custom/IVUloto_background_screen.png';

//win.backgroundColor = '#1F76A6';

var data =[];

var section = Ti.UI.createTableViewSection();
data.push(section);

Ti.API.info('In table Details::::  ' + Titanium.UI.currentWindow.winner); 


/***
 Details::::  {  'Amount' :  '5000'  'DrawDate' :  '1 de Noviembre del 2011' , 'Locality' :  'ARCOS DORADOS PUERTO RICO, INC.' , 'Number' :  '0ZYMCWC0W1' , 'NumberDashed' :  '0ZYMC-WC0W1' , 'BusinessName' :  'MCDONALD'S' , 'Draw' :  '085' , 'NumPrize' :  '1' , 'BusinessAddress' :  'BO INDUSTRIAL CIBUCO' , 'Zipcode' :  '00783' , 'City' :  'COROZAL' , },
 {  'Amount' :  '1000'  'DrawDate' :  '1 de Noviembre del 2011' , 'Locality' :  'WAL-MART PUERTO RICO' , 'Number' :  '5D8JJRJNNL' , 'NumberDashed' :  '5D8JJ-RJNNL' , 'BusinessName' :  'WAL-MART SUPERCENTER' , 'Draw' :  '085' , 'NumPrize' :  '2' , 'BusinessAddress' :  '333 CARR 14' , 'Zipcode' :  '00780' , 'City' :  'COTO LAUREL' , },
 {  'Amount' :  '500'  'DrawDate' :  '1 de Noviembre del 2011' , 'Locality' :  'TO GO STORE INC' , 'Number' :  '7ZXXTHUF71' , 'NumberDashed' :  '7ZXXT-HUF71' , 'BusinessName' :  'ISABELA 27' , 'Draw' :  '085' , 'NumPrize' :  '3' , 'BusinessAddress' :  'BO GUERRERO' , 'Zipcode' :  '00662' , 'City' :  'ISABELA' , },
 {  'Amount' :  '500'  'DrawDate' :  '1 de Noviembre del 2011' , 'Locality' :  'CARIBBEAN RESTAURANTS, LLC, BURGER KING' , 'Number' :  'RMDXT2D44H' , 'NumberDashed' :  'RMDXT-2D44H' , 'BusinessName' :  'BURGER KING 3872' , 'Draw' :  '085' , 'NumPrize' :  '4' , 'BusinessAddress' :  'PLAZA DEGETAU 7 CALLE UNION' , 'Zipcode' :  '00731' , 'City' :  'PONCE' , },
 {  'Amount' :  '500'  'DrawDate' :  '1 de Noviembre del 2011' , 'Locality' :  'OCEAN PARK BEACH STATION,CORP.' , 'Number' :  '2PHK3Q8YS7' , 'NumberDashed' :  '2PHK3-Q8YS7' , 'BusinessName' :  'OCEAN PARK BEACH STATION' , 'Draw' :  '085' , 'NumPrize' :  '5' , 'BusinessAddress' :  '1908 MC LEARLY AVE.' , 'Zipcode' :  '00911' , 'City' :  'SAN JUAN' , },
 {  'Amount' :  '500'  'DrawDate' :  '1 de Noviembre del 2011' , 'Locality' :  'GARAJE MONACO, INC.' , 'Number' :  '1EF6V6C2YW' , 'NumberDashed' :  '1EF6V-6C2YW' , 'BusinessName' :  'GARAJE MONACO, INC.' , 'Draw' :  '085' , 'NumPrize' :  '6' , 'BusinessAddress' :  'JARD. DE MONACO' , 'Zipcode' :  '00674' , 'City' :  'MANATI' , },
 {  'Amount' :  '500'  'DrawDate' :  '1 de Noviembre del 2011' , 'Locality' :  'FU WAH CHINA , INC.' , 'Number' :  '1ZHE24RRPF' , 'NumberDashed' :  '1ZHE2-4RRPF' , 'BusinessName' :  'FU WAH CHINO REST.' , 'Draw' :  '085' , 'NumPrize' :  '7' , 'BusinessAddress' :  'NORTE SHOPPING CENTER' , 'Zipcode' :  '00917' , 'City' :  'SAN JUAN' , },
 {  'Amount' :  '500'  'DrawDate' :  '1 de Noviembre del 2011' , 'Locality' :  'WILFREDO MURPHY AGOSTO' , 'Number' :  '1HLV5TC8SA' , 'NumberDashed' :  '1HLV5-TC8SA' , 'BusinessName' :  'COLMADO MURPHY' , 'Draw' :  '085' , 'NumPrize' :  '8' , 'BusinessAddress' :  'BO PAGNADO' , 'Zipcode' :  '00674' , 'City' :  'MANATI' , },
 {  'Amount' :  '500'  'DrawDate' :  '1 de Noviembre del 2011' , 'Locality' :  'SUPERMERCADO MAXIMO, INC' , 'Number' :  'JXEMQ3M9AJ' , 'NumberDashed' :  'JXEMQ-3M9AJ' , 'BusinessName' :  'SUPERMAX SAN FRANCISCO' , 'Draw' :  '085' , 'NumPrize' :  '9' , 'BusinessAddress' :  'SAN FRANCISCO SHOPPING CENTER' , 'Zipcode' :  '00927' , 'City' :  'SAN JUAN' , },
 {  'Amount' :  '500'  'DrawDate' :  '1 de Noviembre del 2011' , 'Locality' :  'WALGREENS OF PUERTO RICO, INC.' , 'Number' :  'BNLP6TYBDJ' , 'NumberDashed' :  'BNLP6-TYBDJ' , 'BusinessName' :  'WALGREENS 2762' , 'Draw' :  '085' , 'NumPrize' :  '10' , 'BusinessAddress' :  'SANTOLAYA SHOPPING CENTER' , 'Zipcode' :  '00727' , 'City' :  'CAGUAS' , }
***/

var ivolotodata =[];
for (i = 0; i < Titanium.UI.currentWindow.winner.length; i++) {
					
	riffle = Titanium.UI.currentWindow.winner[i];
	
	ivolotodata.push({amt:riffle.Amount, win:riffle.Number, merchant:riffle.BusinessName, street:riffle.BusinessAddress, village:riffle.City, zip:riffle.Zipcode});

}

/***
ivolotodata.push({amt:'5000', win:'VLKH9L7BQD', merchant:'KFC 10509-CAGUAS', street:'CENTRO COMERCIAL BAIROA CARR1', village:'CAGUAS', zip:'00725'});
ivolotodata.push({amt:'1000', win:'ZY0ZNGYG4H', merchant:'ROMANOS MACARONI', street:'SAN PATRICIO', village:'GUAYNABO', zip:'00968'});
ivolotodata.push({amt:'500', win:'P4T74NB517', merchant:'KMART 7419', street:'PLAZA CENTRO MALL', village:'CAGUAS', zip:'00725'});
ivolotodata.push({amt:'500', win:'XVB4VYPRPB', merchant:'BOBORIN QUEN', street:'BOBORIN QUEN AGUADILLA 21', village:'AGUADILLA', zip:'00603'});
ivolotodata.push({amt:'500', win:'1C7KQ7OTRQ', merchant:'DELTA GAS STATION', street:'CARR#2 KM 13.6', village:'BAYAMON', zip:'00959'});
ivolotodata.push({amt:'500', win:'VLKH9L7BQD', merchant:'KFC 10509-CAGUAS', street:'CENTRO COMERCIAL BAIROA CARR1', village:'CAGUAS', zip:'00725'});
ivolotodata.push({amt:'500', win:'VLKH9L7BQD', merchant:'KFC 10509-CAGUAS', street:'CENTRO COMERCIAL BAIROA CARR1', village:'CATANO', zip:'00725'});
ivolotodata.push({amt:'500', win:'VLKH9L7BQD', merchant:'KFC 10509-CAGUAS', street:'CENTRO COMERCIAL BAIROA CARR1', village:'CAROLINA', zip:'00725'});
ivolotodata.push({amt:'500', win:'VLKH9L7BQD', merchant:'KFC 10509-CAGUAS', street:'CENTRO COMERCIAL BAIROA CARR1', village:'HATILLO', zip:'00725'});
ivolotodata.push({amt:'500', win:'VLKH9L7BQD', merchant:'KFC 10509-CAGUAS', street:'CENTRO COMERCIAL BAIROA CARR1', village:'CAGUAS', zip:'00725'});
ivolotodata.push({amt:'500', win:'VLKH9L7BQD', merchant:'KFC 10509-CAGUAS', street:'CENTRO COMERCIAL BAIROA CARR1', village:'PONZE', zip:'00725'});
ivolotodata.push({amt:'500', win:'VLKH9L7BQD', merchant:'KFC 10509-CAGUAS', street:'CENTRO COMERCIAL BAIROA CARR1', village:'CAGUAS', zip:'00725'});
***/




// ROW 1
var row1 = Ti.UI.createTableViewRow();
row1.backgroundColor = '#1F76A6';
row1.selectedBackgroundColor = '#670000';
row1.height = 40;
row1.addEventListener('click', function(e) {
	Ti.API.log(e.source+" click at ("+e.x+","+e.y+")");
});
var item1 = Ti.UI.createLabel({
	color:'#fff',
	text:'$',
	font:{fontSize:'10dp', fontWeight:'bold'},
	top:3,
	left:10,
	height:30,
	width:100
});
row1.add(item1);

var item2 = Ti.UI.createLabel({
	color:'#fff',
	text:'Ganadores',
	font:{fontSize:'10dp', fontWeight:'bold'},
	top:3,
	left:40,
	height:30,
	width:100
});
row1.add(item2);

var item3 = Ti.UI.createLabel({
	color:'#fff',
	text:'Comercio',
	font:{fontSize:'10dp', fontWeight:'bold'},
	top:3,
	left:120,
	height:30,
	width:100
});
row1.add(item3);

var item4 = Ti.UI.createLabel({
	color:'#fff',
	text:'Pueblo',
	font:{fontSize:'10dp', fontWeight:'bold'},
	top:3,
	left:214,
	height:30,
	width:100
});
row1.add(item4);

var item5 = Ti.UI.createLabel({
	color:'#fff',
	text:'Zip',
	font:{fontSize:'10dp', fontWeight:'bold'},
	top:3,
	left:286,
	height:30,
	width:100
});
row1.add(item5);

section.add(row1);


var c = 0; 

while(ivolotodata[c])
{
	// ROW #
	var row = Ti.UI.createTableViewRow();	
	row.selectedBackgroundColor = '#670000';
	row.height = 50;
	row.addEventListener('click', function(e) {
			//Ti.API.log(e.source+" click at ("+e.x+","+e.y+")");
	});


	if ((c % 2) == 0)
	{
		row.backgroundColor = '#F3F6D8';
	}	
	else
	{
		row.backgroundColor = '#C8DAF6';
	}


	var item1 = Ti.UI.createLabel({
	color:'#000',
	text:ivolotodata[c].amt,
	font:{fontSize:'10dp', fontWeight:'bold'},
	top:3,
	left:3,
	height:30,
	width:100
	});
	row.add(item1);

	var item2 = Ti.UI.createLabel({
	color:'#000',
	text:ivolotodata[c].win,
	font:{fontSize:'10dp', fontWeight:'bold'},
	top:3,
	left:33, //40-7 = 33
	height:30,
	width:100
	});
	row.add(item2);

	var item3 = Ti.UI.createLabel({
	color:'#000',
	text:ivolotodata[c].merchant,
	font:{fontSize:'10dp', fontWeight:'bold'},
	top:3,
	left:105, //112-7 = 105
	height:30,
	width:100
	});
	row.add(item3);
	
	var item4 = Ti.UI.createLabel({
	color:'#000',
	text:ivolotodata[c].street,
	font:{fontSize:'8dp', fontWeight:'bold'},
	top:22,
	left:105, //112-7 = 105
	height:30,
	width:100
	});
	row.add(item4);

	var item5 = Ti.UI.createLabel({
	color:'#000',
	text:ivolotodata[c].village.substring(0,10),
	font:{fontSize:'10dp', fontWeight:'bold'},
	top:3,
	left:207, //214-7 = 207
	height:30,
	width:100
	});
	row.add(item5);

	var item6 = Ti.UI.createLabel({
	color:'#000',
	text:ivolotodata[c].zip,
	font:{fontSize:'10dp', fontWeight:'bold'},
	top:3,
	left:278,
	height:30,
	width:100
	});
	row.add(item6);


	section.add(row);
	//row.add(label2);
	//data[c]=row;
	
	c++;
}

var tableview = Titanium.UI.createTableView({
	data:data,
	style:(Titanium.Platform.name == 'iPhone OS') ? Titanium.UI.iPhone.TableViewStyle.GROUPED : null,
	backgroundColor:'transparent',
	separatorColor:'#390A0E'
});

win.add(tableview);