Titanium.include('../core/json.js','../core/base_utils.js','../core/base_xhr_web_service.js');

var win = Titanium.UI.currentWindow;


win.backgroundImage='../images/custom/IVUloto_background_screen.png';


var scrollView = Titanium.UI.createScrollView({
    contentWidth:'auto',
    contentHeight:'auto',
    top:0,
    showVerticalScrollIndicator:true,
    showHorizontalScrollIndicator:false
});

var headerImage = Ti.UI.createImageView({
    image:'../images/custom/IVUloto_logo.png',
    width:'auto',
    height:'auto',
    //canScale:true,    
    //center: {x:0.5,y:0.5},

    //height:100,
    //width:310,
    //left:9,
    //right:9,
    top:4
});

var headerView = Ti.UI.createView({
	height:'auto',
	top:18
	//color:'#F2F2C'
});

		
headerView.add(headerImage);
scrollView.add(headerView);


var imageView = Titanium.UI.createImageView({
	image:'',
	width:'auto',
	height:'auto',
 	top:149,
	right:10
});

var check_username = Ti.UI.createButton({
       title : 'Validar',
       style : Ti.Platform.name != 'android' ? Ti.UI.iPhone.SystemButtonStyle.BORDERED : '',
 	   top:149,
	   right:(Titanium.Platform.displayCaps.platformHeight > 576) ? '31%' : '3%',
	   height: 40,
	   id : 1
});

check_username.addEventListener('click', function(e)
{
			 
		username.blur();
			
		if(checkUsername())
		{    
	        navActInd.show();	
	       
	        check_username.hide();
			imageView.show();
		    
		    paramsLogin.username = username.value; 			        
		        
	        Ti.API.info("sending values...."); 
			
			//to use a webservice use this
			gReader.connect(paramsLogin, '/mobilewebservice/checkusername', "validate");	
			
			Ti.App.addEventListener('service_user_validation', function(data) {
					
				   try{
						  gReader.service.stop();
					}
					catch (e)
					{
						   Ti.API.info("Error on " + e.message);
					}						
					
					navActInd.hide();
					
					setTimeout(function()
					{											
						Ti.API.debug("data.message.Result : " + data.message.Result);   
						//if(data.message.Result){						
						
						if(data.message.Result){							
							imageView.image = '../images/custom/check_mark.png';
							password1.focus();
						}else{							
							imageView.image = '../images/custom/close.png';
							username.focus();
							
							//delete
							data.message.error = '001';							
							/////
														
							// Create a notification					 	
							var n = Ti.UI.createNotification({message:gXmlReader.message(data.message.error, 'register')});
							// Set the duration to either Ti.UI.NOTIFICATION_DURATION_LONG or NOTIFICATION_DURATION_SHORT
							//n.duration = Ti.UI.NOTIFICATION_DURATION_LONG;
						
							// Setup the X & Y Offsets
							n.offsetX = 0;
							n.offsetY = 180;
						
							setTimeout(function()
							{
								n.show();
							},200);
						
						}
					},100);	
			});
				    
	    }
});


var username = Titanium.UI.createTextField({
	color:'#336699',
	top:149,
	left:(Titanium.Platform.displayCaps.platformHeight > 576) ? '31%' : '2%',
	width:300,
	height:40,
	hintText:'Código de usuario',
	rightButton:check_username,
	returnKeyType:Titanium.UI.RETURNKEY_DEFAULT,
	borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED,
	rightButtonMode:Titanium.UI.INPUT_BUTTONMODE_ONFOCUS,
	keyboardToolbar:[check_username],
	keyboardToolbarColor: '#999',	
	keyboardToolbarHeight: 40
});

username.addEventListener('singletap', function(e)
{
	
	imageView.hide();
		
	setTimeout(function()
	{
		check_username.show();
	},100);
			
});


scrollView.add(username);
scrollView.add(check_username);
scrollView.add(imageView);

// ROW 2
var password1 = Titanium.UI.createTextField({
	color:'#336699',
	top:199,
	left:(Titanium.Platform.displayCaps.platformHeight > 576) ? '31%' : '2%',
	width:300,
	height:40,
	hintText:'Contraseña',
	passwordMask:true,
	keyboardType:Titanium.UI.KEYBOARD_DEFAULT,
	returnKeyType:Titanium.UI.RETURNKEY_DEFAULT,
	borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED
});
scrollView.add(password1);


// ROW 3
var password2 = Titanium.UI.createTextField({
	color:'#336699',
	top:249,
	left:(Titanium.Platform.displayCaps.platformHeight > 576) ? '31%' : '2%',
	width:300,
	height:40,
	hintText:'Repita su contraseña',
	passwordMask:true,
	keyboardType:Titanium.UI.KEYBOARD_DEFAULT,
	returnKeyType:Titanium.UI.RETURNKEY_DEFAULT,
	borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED
});
scrollView.add(password2);


// ROW 4
var fname = Titanium.UI.createTextField({
	color:'#336699',
	top:299,
	left:(Titanium.Platform.displayCaps.platformHeight > 576) ? '31%' : '2%',
	width:300,
	height:40,
	hintText:'Nombre',
	keyboardType:Titanium.UI.KEYBOARD_DEFAULT,
	returnKeyType:Titanium.UI.RETURNKEY_DEFAULT,
	borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED
});
scrollView.add(fname);


// ROW 5
var lname = Titanium.UI.createTextField({
	color:'#336699',
	top:349,
	left:(Titanium.Platform.displayCaps.platformHeight > 576) ? '31%' : '2%',
	width:300,
	height:40,
	hintText:'Apellido',
	keyboardType:Titanium.UI.KEYBOARD_DEFAULT,
	returnKeyType:Titanium.UI.RETURNKEY_DEFAULT,
	borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED
});
scrollView.add(lname);


// ROW 6
var email = Titanium.UI.createTextField({
	color:'#336699',
	top:399,
	left:(Titanium.Platform.displayCaps.platformHeight > 576) ? '31%' : '2%',
	width:300,
	height:40,
	hintText:'E-mail',
	keyboardType: Titanium.UI.KEYBOARD_EMAIL,
	returnKeyType:Titanium.UI.RETURNKEY_DEFAULT,
	borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED
});
scrollView.add(email);


// ROW 7
var cell = Titanium.UI.createTextField({
	color:'#336699',
	top:449,
	left:(Titanium.Platform.displayCaps.platformHeight > 576) ? '31%' : '2%',
	width:300,
	height:40,
	hintText:'Número Celular',
	keyboardType:Titanium.UI.KEYBOARD_PHONE_PAD,
	returnKeyType:Titanium.UI.RETURNKEY_DEFAULT,
	borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED
});
scrollView.add(cell);


// ROW 8
var telephone = Titanium.UI.createTextField({
	color:'#336699',
	top:499,
	left:(Titanium.Platform.displayCaps.platformHeight > 576) ? '31%' : '2%',
	width:300,
	height:40,
	hintText:'Otro Teléfono',
	keyboardType:Titanium.UI.KEYBOARD_PHONE_PAD,
	returnKeyType:Titanium.UI.RETURNKEY_DEFAULT,
	borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED
});
scrollView.add(telephone);


// ROW 9
var label_date = Titanium.UI.createLabel({
	text:'Seleccione su año de nacimiento y género:',
	height:50,
	width:'auto',
	shadowColor:'#aaa',
	shadowOffset:{x:5,y:5},
	color:'#3f3d3d',
	//backgroundColor : '#222',
	font:{fontSize:15, fontStyle:'italic', fontFamily: 'sans-serif', fontWeight: 'bold'},
	top:549,
	left:(Titanium.Platform.displayCaps.platformHeight > 576) ? '31%' : '2%',
	textAlign:'left'
});
scrollView.add(label_date);


/**************************************
 * ROW 10
 * year picker
 */
var yearColumn = makeYearColumn( {
	font: {fontSize: "12"}
});
yearColumn.width = 75;

var picker = Ti.UI.createPicker({
	useSpinner: false, 
	visibleItems: 7,
	type : Ti.UI.PICKER_TYPE_PLAIN,
	top: 599, 
	//height: 200,
	columns: [ yearColumn ],
	selectionIndicator: true
});

// turn on the selection indicator (off by default)
picker.selectionIndicator = true;

scrollView.add(picker);


/**************************************
 * ROW 11
 * Gender picker
 */

var genderpicker = Ti.UI.createPicker({top:655});

// just add each row implicitly to one column
genderpicker.add(Ti.UI.createPickerRow({title:'Género',custom_item:'na'}));
genderpicker.add(Ti.UI.createPickerRow({title:'Femenino',custom_item:'F'}));
genderpicker.add(Ti.UI.createPickerRow({title:'Masculino',custom_item:'M'}));


// turn on the selection indicator (off by default)
genderpicker.selectionIndicator = true;

scrollView.add(genderpicker);


// ROW 12
var createAcc = Titanium.UI.createButton({
	//title:'Create Account',
	borderRadius:1,
	borderWidth:5,   
	font:{fontFamily:'Arial',fontWeight:'bold',fontSize:14},
	//title:'Sign Up for Ivu Loto',
	//color:'#13386c',
	image:'../images/custom/IVUloto_button_CreateAccount.png',
	top: 710,	 
	width:200,
	height:40
});
scrollView.add(createAcc);



Titanium.UI.currentWindow.add(scrollView);




/*****************************
 * 
 * Functionality starts here
 * 
 *****************************/

function phoneMask(e) {
    
    //work around the bug..
  	if(e.source.value.length == 4 && increasing == true) {
    	var temp = e.source.value.charAt(3);
    	if(temp != ')'){
    		var temp2 = e.source.value.substring(0,3);
    		//e.source.value = e.source.value.substring(0,4)+")";
    		e.source.value = "("+ temp2 + ")" + " " + temp + " - ";
    	}
    	temp = null;
    	temp2 = null;
    	increasing = false;
  	}
  	
  	else if(e.source.value.length<4) increasing = true;
  	
  	
  	
  	if(e.source.value.length == 13 && Secondincreasing == true) {
    	var temp = e.source.value.charAt(9);
    	Ti.API.info("is ==10 temp : " + temp);
    	if(temp != ' '){
    		var temp2 = e.source.value.substring(0,9);
    		Ti.API.info("inside !=");
    		//e.source.value = e.source.value.substring(0,4)+")";
    		e.source.value = temp2 + " - " + temp;
    	}
    	temp = null;
    	temp2 = null;
    	Secondincreasing = false;
  	}
  	else if(e.source.value.length >4 && e.source.value.length<13){
  		 Secondincreasing = true;
  		 Ti.API.info("is >4 and <10 length : " + e.source.value.length);	
  	}
  	
  	if(e.source.value.length > 16) {
  		e.source.value = e.source.value.substring(0,16);
  	}
    
}

//Custom Mask
var increasing = true;
var Secondincreasing = false;

cell.addEventListener('change', function(e) {
	
	Ti.API.info("text changed : " + e.source.value);	
  	  	
 	//phoneMask(e); //bug needs to be fixed
       
});


telephone.addEventListener('change', function(e) {
	
	Ti.API.info("text changed : " + e.source.value);
	Ti.API.info("text changed length : " + e.source.value.length);		
  	  	
 	//phoneMask(e); //bug needs to be fixed
       
});



function checkPassword(password)   
{   
    var str = password;   
 
       //Match any alphanumeric character including the underscore
       //Match any single non-word character
       //var filterRegEx = /^([A-Za-z0-9_]{6})+\W{1}/gi;
    if(str.length < 7){
    	
    	a.message = 'Password tiene que contener 7 caracteres';
    	testresults = false; 
    	return (testresults);  
    }
    //var filterRegEx = /^([A-Za-z0-9]{7})/
    var filterRegEx = /\w{6}\W{1}/
    if (!filterRegEx.test(str))   
    {   
        a.message = 'Password mínimo 7 caracteres, uno debe ser un carácter especial (@_¡!¿?.-)';
        testresults = false;
        return (testresults);   
    }   
    else  
    {   
        testresults = true;
        return (testresults);    
    }   
      
};  



function checkemail(emailAddress)   
{   
    var str = emailAddress;   
    var filter = /^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,4})$/;   
    if (filter.test(str))   
    {   
        testresults = true;   
    }   
    else  
    {   
        testresults = false;   
    }   
    return (testresults);   
};     




function checkPhone(phoneNumber)   
{   
    var str = phoneNumber;   
      
    if (phoneNumber.length > 16)   
    {   
        testresults = false;   
    }   
    else  
    {   
        testresults = true;   
    }   
    return (testresults);   
};     



/**************************************
 * Mayor de 18 anos picker
 */

picker.addEventListener('change', function(e) {
	Ti.API.info("You selected row: "+e.row+", column: "+e.column+", custom_item: "+e.row.custom_item);
	showStatus(e.selectedValue[0]);
	paramsUserRegister.birthyear = e.selectedValue[0];
});

function showStatus(s) {
	Ti.API.debug("status : " + s);
	var a = Titanium.UI.createAlertDialog({
		title:'IVU Loto Alerta',
		message:'Registración de IVU Loto es solo para mayores de 18 años'
	});
	a.buttonNames = ['OK'];
	a.cancel = 1;
	
	
	var today = new Date().getFullYear();	
	var age = Number(today-18);
	Ti.API.debug("is minor? "+ Number(s) + ' > ' + Number(today-18));
	if( Number(s) > age){Ti.API.debug("is minor..."); a.show(); minor = true;}
	else minor = false;
	
};


function getYears()
{
	var date = new Date();
	var year = date.getFullYear()-18;
	var rows = [];
	
	for(i=0; i < 70; i++){		
		rows.push(Number(year-i));	
	}
		
	return rows;
}


function floatToInt(float_value) {
        float_value = String(float_value);
        var index = float_value.indexOf('.');
        if (index > 0) {
            return float_value.substr(0, index);
        }
        else {
            return float_value;
        }
};
    
function makeYearRows() {
	
	var verbs = getYears();	
	var rows = [];
	for (var i = 0; i < verbs.length; i++) {
	
		rows.push(Ti.UI.createPickerRow({title: floatToInt(verbs[i])}));
	}
	return rows;
}

function makeYearColumn() {
	return Ti.UI.createPickerColumn({rows: makeYearRows()});
}



genderpicker.addEventListener('change',function(e)
{
	Ti.API.info("You selected row: "+e.row+", column: "+e.column+", custom_item: "+e.row.custom_item);
	paramsUserRegister.gender = e.row.custom_item;
	//gender.value = "row index: "+e.rowIndex+", column index: "+e.columnIndex;
});

var a = Titanium.UI.createAlertDialog({
		title:'IVU Loto',
		message:'Gracias por registrarte con IVU Loto',
		buttonNames: ['OK']
});
	
var minor =true;
createAcc.addEventListener('click', function(e)
{
	
	Ti.API.info("You pressed : "+e.source);
	
	if(checkUsername()){
		
		if(checkPasswords()){
	
			if(checkEmail()){
				
				if(checkPhones()){
					
					if(checkMinor()){
						
						if(checkGender()){
								//pass all test	
								navActInd.show();			
							   						   
							    paramsUserRegister.username = username.value;
							    paramsUserRegister.password = Ti.Utils.base64encode(password1.value).toString();
							    paramsUserRegister.name = fname.value;
							    paramsUserRegister.lastname = lname.value;
							    paramsUserRegister.email = email.value;
							    if(email.value == '') paramsUserRegister.notifications_Email = "0";
							    paramsUserRegister.cellphone = cell.value;
							    if(cell.value == '') paramsUserRegister.notifications_SMS = "0";
							    paramsUserRegister.otherphone = telephone.value;
							    
							   
							  	//paramsUserRegister.birthyear is set inside the picker
							    //paramsUserRegister.gender = e.row.custom_item is set inside the picker				   		        
							        
						        Ti.API.info("sending values...."); 
								
								//to use a webservice use this
								gReader.connect(paramsUserRegister, '/mobilewebservice/register', "register");	
								
								
								Ti.App.addEventListener('service_user_registration', function(data) {
								
										try{
												gReader.service.stop();
										}catch (e){
												Ti.API.info("Error on " + e.message);
										}						
													
										navActInd.hide();
								
										if(data.message.Message == 1){	//if successful										
											
											var n = Ti.UI.createNotification({ message: gXmlReader.message('002', 'register')});
											n.duration = Ti.UI.NOTIFICATION_DURATION_LONG;
											n.show();
								
											setTimeout(function()
											{
												n.hide();
												Titanium.App.Properties.setBool('close_window',false);
												Titanium.UI.currentWindow.close();
											},2000);
										}else{
																						
											if(/[0+4]$/.test(data.message.Error))
													a.message = gXmlReader.message('004', 'register');
											else	a.message = gXmlReader.message('003', 'register');
											
											a.show(); 											
										}										
										
								});						
						}
					}
				}
			}
		}
	}
	
});



function checkUsername() {
	
	if(username.value == ''){
			a.message = 'El nombre de usuario es requerido';  
	        a.show();
	        username.focus();
	        return false;   	
	}else{
		if(username.value.length < 5){
			a.message = 'El nombre de usuario tiene que ser mínimo 5 caracteres';  
	        a.show();
	        username.focus();
	        return false; 			
		}
	}
	
	return true;	
}

function checkPasswords() {
	
	if(password1.value != '' && password2.value != ''){		
		if (!checkPassword(password1.value))   
    	{   
         	//a.message = 'Password tiene que ser de 7 caracteres y 1 no alfanumérico ';
         	a.show();
         	password1.focus(); 
         	return false; 			        	 
     	}else if (password1.value != password2.value){   
	         a.message = 'Passwords no son iguales';  
	         a.show();
	         password1.focus(); 
	         return false;           
    	}else{
    		return true; //pass test
    	}	
	}else {
			a.message = 'Password es requerido';  
	        a.show();
	        password1.focus();
	        return false;   	
	}	
}


function checkEmail(){

	if (email.value != ''){ 
		if (!checkemail(email.value))   
    	{   
         	a.message = 'El correo electrónico debe ser valido';
         	a.show();
         	email.focus(); 
         	return false; 			        	 
     	} 
     }else{
     	   	a.message = 'El correo electrónico es requerido';
         	a.show();
         	email.focus(); 
         	return false;      	
     }
     
     return true;
}


function checkPhones() {
	
	if (cell.value == '' && telephone.value == ''){				
			 
		   	a.message = 'Número celular o teléfono es requerido';	         
		    a.show(); 
		    cell.focus();
		    return false; 		
	}else{
		//bug needs to be fixed
		
		/***if(cell.value != ''){ 
			if(!checkPhone(cell.value))
			{
				a.message = 'Porfavor de entrar un numero de celular valido';
         		a.show();
         		cell.focus(); 
         		return false; 				
			}
		}
		if(telephone.value != ''){
			if(!checkPhone(telephone.value))
			{
				a.message = 'Porfavor de entrar un numero de telefono valido';
         		a.show();
         		telephone.focus(); 
         		return false; 				
			}
		}	***/	
	}
	
	return true;	
}

function checkMinor() {
	if(minor){
		//menor de 18 don't go
		a.message = ' El año de nacimiento es requerido';
		a.show(); 
		picker.focus();	
		return false;
	}
	return true;
}

function checkGender() {
	if(paramsUserRegister.gender == '' && paramsUserRegister.gender != 'na'){
		//menor de 18 don't go
		a.message = 'Seleccione su género';
		a.show(); 
		genderpicker.focus();	
		return false;
	}
	return true;
}